import { AxiosRequestConfig, AxiosError } from "axios";
interface axiosProps extends AxiosRequestConfig {
    module?: string;
    data?: any;
    skipParse?: boolean;
}
interface algaehError extends AxiosError {
    show: boolean;
}
interface returnProps {
    error?: algaehError | null;
    response?: any;
}
export declare function algaehAxios(uri: string, options: axiosProps): Promise<returnProps>;
export declare function getMachineInfo(): Promise<String>;
export declare function UUID(): string;
export declare function valueReviver(key: any, value: any): any;
export declare function createUrl(inputs: any): any;
export {};
